Subject: [Ltru] new version posted online

From: "Addison Phillips" <[email-masked]>
Date: Mon, 18 Apr 2005 10:32:00 -0700

The draft-01 prototype has been updated and posted at:

http://www.inter-locale.com/ID/draft-ietf-ltru-registry-01.txt
http://www.inter-locale.com/ID/draft-ietf-ltur-registry-01.html

I have incorporated 'Suppress_Script' into the various places required to define it (many parts of section 3). Of course we can decide on a different name if so desired. Right now the text is the key. Note that I used a different example from en/en-Latn in section 3.1. I also put a script of 'Arab' on the language 'ar' in the example registry.

Other minor changes/corrections are listed in the changes section.

Are we close to done with this issue, enough for me to start work on preparing the next officially submitted draft?

Best Regards,

Addison

Addison P. Phillips
Globalization Architect, Quest Software
http://www.quest.com

Chair, W3C Internationalization Core Working Group
http://www.w3.org/International

Internationalization is not a feature.
It is an architecture. 

_______________________________________________
Ltru mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ltru

---

From: "Debbie Garside" <[email-masked]>
Date: Mon, 18 Apr 2005 20:47:10 +0100

Hi Addison (on list this time :-))

Will you be incorporating a reserved alpha4 for ISO 639-6 in the next draft?
I believe consensus was reached on this issue... as raised by Doug.

Kind regards

Debbie

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of Addison Phillips
> Sent: 18 April 2005 18:32
> To: [email-masked]
> Subject: [Ltru] new version posted online
> 
> I have incorporated 'Suppress_Script' into the various places required to
> define it (many parts of section 3). Of course we can decide on a
> different name if so desired. Right now the text is the key. Note that I
> used a different example from en/en-Latn in section 3.1. I also put a
> script of 'Arab' on the language 'ar' in the example registry.
> 
> Are we close to done with this issue, enough for me to start work on
> preparing the next officially submitted draft?
> 
> Best Regards,
> 
> Addison
> 
> Addison P. Phillips

---

From: Frank Ellermann <[email-masked]>
Date: Mon, 18 Apr 2005 21:44:29 +0200

> http://www.inter-locale.com/ID/draft-ietf-ltru-registry-01.txt

Very quick scan:

| lang            = 2*3ALPHA           ; shortest ISO 639 code

We discussed 2*4ALPHA and a change of registered-lang, and/or
to replace registered-lang by "individual" (i-* split off from
grandfathered)

| subtlety in the ABNF for 'variant'

Yes, let's eliminate it, how about this:

  variant   = (5*8alphanum) ; registered variants
            / (DIGIT 3alphanum)

Why do you get [RFC2234] in your xref, if the reference is the
2234bis I-D, is that an xml2rfc oddity ?

| However, in the tags defined by this document, the uppercase
| US-ASCII letters in the range 'A' (ABNF: %x41) through 'Z'
| (ABNF: %x5A) are considered equivalent and mapped directly
| to their US-ASCII lowercase equivalents in the range 'a' 
| (ABNF: %x61) through 'z' (ABNF: %x7A). Thus the tag 
| "mn-Cyrl-MN
[...]

The mysteries of case insensitive ASCII, please replace it by:

  The tags defined by this document are case insensitive.
  Thus the tag "mn-Cyrl-MN
[...]

For the "missing" empty line before "However" you could use...
   </t></list><vspace blankLines="1" />
...near the end of the bullet-list.

| Any such a limitation MUST be clearly documented

MUST instead of "pray" is ugly.  The text after the RfC 2231
example is obscure, do you need it ?  Why not simply say that
the only way to truncate tags is to remove subtags RTL ?

| Single letter and digit subtags are reserved for

There are no single digits in the ABNF.

| The primary subtag is the first subtag in a language tag
| and cannot be empty

No subtag can be empty, how about s/empty/omitted/ ?

| All language subtags of 4 to 8 characters in length

5 to 8, ecause 4 was set aside for Debbie.  Don't forget to get
rid of "STRONGLY" in this chapter.

| Other values MUST NOT be assigned to the primary subtag

I don't see any i-whatever before this item, is this a trick,
the i-whatever case is no primary subtag ?  OTOH there must be
a primary subtag.

| There MAY be any additional number of extended language
| subtags

Oops, indeed, the ABNF says  *("-" extlang).  What's the idea ?

| Users who wished to utilize SIL Ethnologue

IMHO that needs an informative reference URL.

I'll scan chapter 3 ff. later, bye, Frank